$montserrat: 'Montserrat', sans-serif;
$lato: 'Lato', sans-serif;

$white: #fff;
$mobilebackground: #373c3f;
$mobilemenubtn: #202529;
$proposallistbtn: #acd8ad;


* {
  padding: 0;
  margin: 0;
}

@media only screen and (min-width: 0px) {
  .wrapper {
    width: 100vw;
    .hamburgerMenu {
      display: flex;
      align-items: center;
      justify-content: space-between;
      width: 100vw;
      height: 37px;
      background-color: $mobilebackground;

      &__title{
        font-family: $montserrat;
        font-size: 12px;
        font-weight: 500;
        color: $white;
        padding-left: 18px;
        position: relative;
        bottom: 1px;
      }
      &__btn {
        height: 37px;
        width: 41px;
        background-color: $mobilemenubtn;
        color: $white;
        line-height: 37px;
        text-align: center;
      }
    }

    .mainmenu {
      display: none;
    }

    .mainProposal {
      height: 159px;
      width: calc(100vw - 20px);
      background-image: url('../img/topimg_320.jpg');
      background-size: 100%;
      padding-top: 14px;
      padding-left: 20px;
      margin-bottom: 4px;
      &__text {
        font-size: 16px;
        color: $white;
        font-family: $lato;
        margin-bottom: 4px;
        font-weight: 700;
        &--secondLine {
          margin-bottom: 7px;
        }
      }
      &__link {
        font-size: 14px;
        color: #a6d6e0;
        font-family: $lato;
        font-weight: 700;
        text-decoration: none;
      }
      &__link:visited {
        color: #a6d6e0;
      }
    }
    .proposalList {
      display: flex;
      flex-direction: column;
      &__item {
        height: 75px;
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-bottom: 2px;
      }
      &--first{
        background-image: url('../img/delivery_bg320.jpg');
        background-size: 100%;
        background-position: -65px -233px;
      }
      &--second{
        background-image: url('../img/uaux_bg320.jpg');
        height: 74px;
        background-size: 78%;
        background-position: 0px -165px;
      }
      &--third{
        background-image: url('../img/desert_bg320.jpg');
        height: 74px;
        background-size: 79%;
        background-position: -2px -28px;
      }
      &__text {
        width: calc(100vw - 70px);
        color: $white;
        font-family: $lato;
        font-size: 20px;
        text-align: center;
        font-weight: 700;
        &--firsttext {
          position: relative;
          bottom: 3px;
          left: 4px;
        }
        &--secondtext {
          position: relative;
          left: 12px;
        }
        &--thirdtext {
          position: relative;
          right: 3px;
          bottom: 1px;
        }
      }
      &__link {
        display: flex;
        align-items: center;
        justify-content: center;
        text-decoration: none;
        font-size: 12px;
        color: $white;
        height: 75px;
        width: 70px;

        background-color: $proposallistbtn;
        &--first {
        width: 72px;

        }
        &--second {
        width: 71px;
        height: 74px;
        }
        &--third {
          width: 71px;
          height: 74px;
        }
      }
      &__link i::before {
        position:relative;
        bottom: 2px;
        right: 2px;
      }
    }
    .offersHeadline {
      padding-left: 8px;
      flex-direction: column;
      &__mainText {
        font-family: $lato;
        font-size: 20px;
        color: #3f4043;
        text-transform: uppercase;
        padding-top: 18px;
      }
      &__subText {
        font-family: $lato;
        font-size: 10px;
        color: #cbccce;
        position: relative;
        left: 1px;
        padding-bottom: 10px;
      }
      &__img {
        display: none;
      }
    }

    .offers {
      width: 100vw;
      &__headline {
        text-transform: uppercase;
        font-size: 20px;
        font-family: $lato;
        height: 37px;
        line-height: 37px;
        padding-left: 18px;
        width: calc(100vw - 18px);
        &--dark {
          color: #acd8ad;
          background-color: #3f4043;
        }
        &--light {
          color: $white;
          background-color: #acd8ad;
          margin-top:29px;
          height: 38px;
        }
      }
      ul {
        list-style: none;
        padding-left: 18px;
        padding-right: 18px;
        padding-top: 4px;
      }
      &__smallHeadline {
        width: calc(100vw - 36px);
        font-size: 15px;
        font-family: $lato;
        text-transform: uppercase;
        line-height: 40px;
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        &--secondLine {

        }
      }
      &__smallHeadlineText {
        position:relative;
        top: 7px;
        &--thirdtext {
          top: 0;
        }
        &--fourthtext {
          position: relative;
          top: 7px;
        }
      }
      &__icon {
        width: 40px;
        height: 40px;
        background-image: url('../img/icon_idHendreritVelitQuis.jpg');
        background-position: right;
        background-repeat: no-repeat;
        background-size: 24px;
        &--second {
          background-image: url('../img/icon_idDolorPellenteque.jpg');
          padding-top: 7px;
          background-size: 14px;
          position: relative;
          top: 5px;
          right: 4px;
        }
        &--third {
          background-image: url('../img/icon_hendrerit_velit_quis.jpg');
          background-size: 30px;
          position: relative;
          bottom: 2px;
          left: 2px;
        }
        &--fourth {
          background-image: url('../img/icon_pharetraatsitametsem.jpg');
          background-size: 20px;
          position: relative;
          bottom: 1px;
          right: 4px;
        }
      }
      &__itemWrapper {
        display: flex;
        justify-content: space-between;
        padding-top: 7px;
        &--secondblock {
          margin-top: 6px;
        }
      }
      &__itemHeadline {
        font-family: $lato;
        font-size: 14px;
        letter-spacing: -0.23px;
        position: relative;
        right: 1px;
      }

      &__itemHeadline:before {
        content:'· ';
      }

      &__itemPrice {
        font-family: $lato;
        font-size: 14px;
        font-weight: 700;
        position: relative;
        left: 2px;
        bottom: 1px;
      }

      &__itemText {
        font-family: $lato;
        font-size: 9px;
        margin-top: 4px;
        letter-spacing: 0.13px;
      }
    }

  }
  .footer {
    width: 100vw;
    height: 55px;
    background-color: #acd8ad;
    margin-top: 48px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-family: $montserrat;
    img {
      display: none;
    }
    &__textblock {
      display: flex;
      flex-direction: column;
      align-items: center;
    }
    &__text {
      color: $white;
      font-size: 12px;
      &__toptext {
        position: relative;
        bottom: 3px;
        left: 3px;
      }
      &__bottomtext {
        position: relative;
        top: 1px;
      }
    }
  }
}

@media (min-width: 640px) {
  .wrapper {
    .hamburgerMenu {
      height: 74px;
      &__title{
        font-size: 24px;
        padding-left: 36px;
      }
      &__btn {
        height: 74px;
        width: 82px;
        line-height: 74px;
        font-size: 28px;
      }
    }
    .mainmenu {
      display: none;
    }
    .mainProposal {
      height: 325px;
      width: calc(100vw - 38px);
      padding-top: 21px;
      padding-left: 38px;
      &__text{
        font-size: 36px;
        margin-bottom: -3px;
        &--secondLine {
          margin-bottom: 15px;
        }
      }
      &__link{
        font-size: 24px;
      }
    }
    .proposalList {
      &__item {
        height: 151px;
        margin-bottom: 3px;
      }
      &--first {
        background-size: 78%;
        background-position: 0px -283px;
      }
      &--second {
        background-size: 78%;
        background-position: -1px -236px;
        height: 148px;
        margin-bottom: 2px;
      }
      &--third {
        background-position: -4px -36px;
        height: 149px;
      }
      &__text {
        font-size: 36px;

        &--firsttext {
          left: -1px;
        }
        &--secondtext {
          left: -1px;
          bottom: 2px;
        }
        &--thirdtext {
          right: -3px;
          bottom: 6px;
        }
      }
      &__link {
        display: flex;
        width: 162px;
        height: inherit;
        font-size: 25px;
        &--second {
          height: 149px;
        }
      }
      &__link i::before {
        bottom: 6px;
        right: 3px;
      }
    }
    .offersHeadline {
      padding-left: 18px;
      &__mainText {
        font-size: 40px;
        padding-top: 32px;
      }
      &__subText {
        font-size: 20px;
        left: 2px;
        padding-bottom: 20px;
      }
      &__img {
        display: none;
      }
    }

    .offers {
      flex-direction: column;
      &__headline {
        font-size: 40px;
        height: 74px;
        line-height: 73px;
        padding-left: 37px;
        width: calc(100vw - 37px);
        &--dark {

        }
        &--light {
          margin-top: 39px;
        }
      }
      ul {
        padding-left: 36px;
        padding-right: 38px;
      }
      &__smallHeadline {
        width: calc(100vw - 74px);
        font-size: 30px;
        line-height: 89px;
        margin-bottom: -9px;
        &--secondLine {
          margin-bottom: 3px;
        }
      }
      &__smallHeadlineText {
          top: 10px;
        &--thirdtext {
          top: 0;
          left: 1px;
        }
        &--fourthtext {
          top: 10px;
          margin-bottom: -3px;
        }
      }
      &__icon {
        width: 49px;
        height: 49px;
        background-size: 49px;
        position: relative;
        top: 18px;
        left: 2px;
        &--second {
          background-size: 28px;
          top: 27px;
          left: -8px;
        }
        &--third {
          width: 60px;
          background-size: 59px;
          top: 16px;
          left: 6px;
        }
        &--fourth {
          background-size: 42px;
          left: -7px;
        }
      }
      &__itemWrapper {
        padding-top: 14.5px;
        &--secondblock {

        }
      }
      &__itemHeadline {
        font-size: 27px;
        letter-spacing: -0.1px;
      }

      &__itemPrice {
        font-size: 27px;
        left: 3px;
        bottom: 0;
      }

      &__itemText {
        font-size: 17px;
        margin-top: 11px;
        letter-spacing: 0.67px;

      }
    }
    .footer {
      height: 96px;
      margin-top: 115px;
      flex-direction: column;
      img {
        display: none;
      }
      &__textblock {
        display: flex;
        flex-direction: column;
        align-items: center;
      }
      &__text {
        font-size: 18px;
        &__toptext {
          position: relative;
          bottom: 1px;
          left: 3px;
        }
        &__bottomtext {
          position: relative;
          top: 4px;
        }
      }
    }
  }
}

@media (min-width: 980px) {
  .wrapper {
    .hamburgerMenu {
      display: none;
    }

    .mainmenu {
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      align-items: center;
      width: calc(100vw - 29px);
      height: 97px;
      background-color: $mobilebackground;
      padding-left: 29px;


    }

    .mainmenu {
      .mainlinks {
        ul {
          position: relative;
          top: 2px;
          li {
            list-style: none;
            display: inline;
            color: $white;
            font-family: $montserrat;
            font-size: 15px;
            text-transform: uppercase;
            margin-right: 27.5px;
          }
        }
      }
      .logo {
        margin-right: 30px;
        position: relative;
        top: 3px;
      }
    }
    .mainProposal {
      height: 478px;
      width: calc(100vw - 30px);
      padding-top: 52px;
      padding-left: 30px;
      margin-bottom: 6px;
      &__text {
        font-size: 53px;
        margin-bottom: 4px;
        letter-spacing: 0.5px;
        &--secondLine {
          margin-bottom: 48px;
        }
      }
      &__link {
        font-size: 34px;
      }
      &__link:visited {
        color: #a6d6e0;
      }
    }
    .proposalList {
      flex-direction: row;
      &__item {
        width: 33.3%;
        height: 327px;
      }
      &--first{
        background-size: 100%;
        background-position: 0 0;
      }
      &--second{
        background-size: 100%;
        background-position: 0 0;
      }
      &--third{
        background-size: 100%;
        background-position: 0 0;
      }
      &__text {
          font-size: 38px;
        &--firsttext {
          bottom: 6px;
          left: -2px;
        }
        &--secondtext {
          bottom: 6px;
        }
        &--thirdtext {
          right: 2px;
        }
      }
      &__link {
        display: none;
      }
    }
    .offersHeadline {
      padding-left: 27px;
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      &__wrapper {

      }
      &__mainText {
        font-size: 34px;
        padding-top: 60px;
      }
      &__subText {
        font-size: 20px;
        position: relative;
        left: 1px;
        top: 2px;
        padding-bottom: 22px;
      }
      &__img {
        display: block;
        position: relative;
        top: 46px;
        right: 27px;
        width: 111px;
        height: 92px;
        background-image: url('../img/offers_icon.png');
        background-size: 100%;
      }
    }

    .offers {
      display: flex;
      flex-direction: row;
      &__block {
        width: 50vw;
      }
      &__headline {
        width: calc(50vw - 17px);
        font-size: 34px;
        padding-left: 17px;
        &--dark {

        }
        &--light {
          margin-top: 0;
        }
      }
      ul {
        padding-left: 16px;
        padding-right: 13px;
      }
      &__smallHeadline {
          width: 47vw;
          font-size: 26px;
          line-height: 92px;
          margin-bottom: -12px;
        &--secondLine {
          margin-bottom: 4px;
          letter-spacing: -1.2px;
          position: relative;
          left: 4px;

        }
      }
      &__smallHeadlineText {
          top: 17px;
        &--thirdtext {
          font-size: 24px;
          top: 2px;
          left: 4px;
        }
        &--fourthtext {
          font-size: 24px;
          top: 17px;
          left: 5px;
        }
      }
      &__icon {
        background-size: 41px;
        top: 23px;
        left: 4px;
        &--second {
          background-size: 26px;
          top: 33px;
          left: 1px;
        }
        &--third {
          background-size: 53px;
          top: 19px;
          left: -5px;
        }
        &--fourth {
          background-size: 40px;
          top: 19px;
          left: -9px;
        }
      }
      &__itemWrapper {
        padding-top: 20px;
        &--secondblock {
          padding-top: 31px;
        }
        &--thirdblock {
        }
      }
      &__itemHeadline {
        font-size: 24px;
        letter-spacing: 0;
      }



      &__itemPrice {
        font-size: 25px;
        bottom: 0;
        left: 6px;
        &--secondprice {
          position: relative;
          left: -6px;
          font-size: 25px;
        }
      }

      &__itemText {
        font-size: 14px;
        letter-spacing: 0.81px;
        margin-top: 15px;
        margin-left: 6px;

      }
    }
    .footer {
      margin-top: 84px;
      flex-direction: row;
      justify-content: space-between;
      img {
        display: block;
        position: relative;
        left: 30px;
      }
      &__textblock {
        display: flex;
        flex-direction: row;
      }
      &__text {
        font-size: 18px;
        &__toptext {

        }
        &__bottomtext {
          top: 0px;
          margin-right: 30px;
        }
      }
    }
  }
}

@media (min-width: 1200px) {
  .wrapper {
    .hamburgerMenu {
      display: none;
    }
    .mainmenu {
      width: calc(100vw - 36px);
      padding-left: 36px;
      .logo {
        margin-right: 38px;
      }
    }
    .mainProposal {
      width: calc(100vw - 37px);
      height: 605px;
      padding-top: 44px;
      padding-left: 37px;
      &__text {
        font-size: 61px;
        margin-bottom: -6px;
        &--secondLine {
          margin-bottom: 42px;
        }
      }

      &__link {
        font-size: 38px;
      }

    }

    .proposalList {
      flex-direction: row;
      &__item {
        width: 33.3%;
        height: 400px;
      }
      &--first{
        background-size: 100%;
        background-position: 0 0;
      }
      &--second{
        background-size: 100%;
        background-position: 0 0;
      }
      &--third{
        background-size: 100%;
        background-position: -2 0;
      }
      &__text {
        font-size: 43px;
        &--firsttext {
          bottom: 3px;
          left: 1px;
        }
        &--secondtext {
          bottom: 2px;
          left: 2px;
        }
        &--thirdtext {
          bottom: 1px;
        }
      }
      &__link {
        display: none;
      }
    }



    .offersHeadline {
      padding-left: 20px;
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      &__wrapper {

      }
      &__mainText {
        font-size: 40px;
        padding-top: 63px;
      }
      &__subText {
        font-size: 20px;
        position: relative;
        left: 1px;
        top: 2px;
        padding-bottom: 16px;
      }
      &__img {
        display: block;
        position: relative;
        top: 40px;
        right: 14px;
        width: 116px;
        height: 92px;
        background-image: url('../img/offers_icon.png');
        background-size: 100%;
      }
    }






    .offers {
      display: flex;
      flex-direction: row;
      &__block {
        width: 50vw;
        &--second {
          padding-left: 5px;
        }
      }
      &__headline {
        width: calc(50vw - 17px);
        font-size: 40px;
        padding-left: 17px;
        &--dark {

        }
        &--light {
          position: relative;
          right: 5px;
          width: calc(50vw - 7px);
          margin-top: 0;
          padding-left: 7px;
        }
      }
      ul {
        padding-left: 7px;
        padding-right: 13px;
        &__List {
          &--left {
          }
          &--right {
            padding-left: 12px;
            padding-right: 13px;
          }
      }



      }

      &__smallHeadline {
        width: 47vw;
        font-size: 30px;
        line-height: 92px;
        margin-bottom: -12px;
        margin-left: 14px;
        &--secondLine {
          margin-bottom: 4px;
          letter-spacing: -1.2px;
          position: relative;
          left: 0;

        }
      }
      &__smallHeadlineText {
        top: 12px;
        letter-spacing: 0;
        &--thirdtext {
          font-size: 30px;
          top: -1px;
          left: -14px;
        }
        &--fourthtext {
          font-size: 30px;
          top: 15px;
          left: -14px;
        }
      }
      &__icon {
        background-size: 48px;
        top: 19px;
        left: 4px;
        &--second {
          background-size: 26px;
          top: 34px;
          left: -7px;
        }
        &--third {
          background-size: 60px;
          top: 19px;
          left: -5px;
        }
        &--fourth {
          background-size: 42px;
          top: 20px;
          left: -5px;
        }
      }
      &__itemWrapper {
        padding-top: 19px;
        &--secondblock {
          padding-top: 31px;
          position: relative;
          right: 15px;

        }
        &--thirdblock {
          position: relative;
          right: 15px;
        }
      }
      &__itemHeadline {
        font-size: 27px;
        letter-spacing: 0;
        right: -11px;

        &--second {
          right: 0px;
        }
      }



      &__itemPrice {
        font-size: 27px;
        bottom: 0;
        left: 4px;
      }

      &__itemText {
        font-size: 16px;
        letter-spacing: 0.81px;
        margin-top: 9px;
        margin-left: 16px;
        &--secondblock {
          margin-left: 0;
        }
      }
    }


    .footer {
      margin-top: 130px;
      flex-direction: row;
      justify-content: space-between;
      img {
        display: block;
        position: relative;
        left: 37px;
      }
      &__textblock {
        display: flex;
        flex-direction: row;
      }
      &__text {
        font-size: 18px;
        letter-spacing: 0.05px;
        &__toptext {
          bottom: -3px;
        }
        &__bottomtext {
          top: 0px;
          margin-right: 36px;
        }
      }
    }
  }
}

